Subject: bug#34481: 27.0.50; cl-flet, cl-labels and lambda expressions

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 02 Mar 2021 00:29:04 +0100

Michael Heerdegen <[email-masked]> writes:

>> I know we're not beholden to Common Lisp for our versions of the macros,
>> but this seems kinda confusing to me [...]
>
> Why?

Just because it's not a part of Common Lisp -- I think people expect the
cl-* functions to be a subset of CL syntax, not a superset.

But we're free to do what we want here, of course, and I don't oppose
extending the syntax here.  But it's just something to keep in mind.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no